package main.welcome_splash;

import javafx.concurrent.Task;
import javafx.fxml.FXMLLoader;
import javafx.scene.Parent;
import javafx.scene.Scene;
import javafx.stage.Stage;

import java.io.IOException;

/**
 * Created by Vladimir Eliezer Tokarev on 8/27/2016.
 */
public class WelcomeSplashLoader {
    private static final String SPLASH_SCREEN_ON_BOOT_FXML_PATH = "welcome_splash_screen.fxml";

    private Stage currentStage;

    public WelcomeSplashLoader(Stage primaryStage) throws IOException
    {
        Parent splashScreenOnBootRoot = FXMLLoader.load(getClass().getResource(SPLASH_SCREEN_ON_BOOT_FXML_PATH));
        currentStage = primaryStage;
        currentStage.setScene(new Scene(splashScreenOnBootRoot, 565, 365));
    }
}
